import { AfterViewInit, ElementRef, OnInit, Renderer2 } from '@angular/core';
import { Observable } from 'rxjs';
export declare class MdbTableDirective implements OnInit, AfterViewInit {
    private el;
    private renderer;
    striped: boolean;
    bordered: boolean;
    borderless: boolean;
    hover: boolean;
    small: boolean;
    responsive: boolean;
    stickyHeader: boolean;
    stickyHeaderBgColor: string;
    stickyHeaderTextColor: string;
    stickyFooter: boolean;
    stickyFooterBgColor: string;
    stickyFooterTextColor: string;
    constructor(el: ElementRef, renderer: Renderer2);
    private _dataSource;
    private _dataSourceChanged;
    addRow(newRow: any): void;
    addRowAfter(index: number, row: any): void;
    removeRow(index: number): void;
    rowRemoved(): Observable<boolean>;
    removeLastRow(): void;
    getDataSource(): any;
    setDataSource(data: any): void;
    dataSourceChange(): Observable<any>;
    filterLocalDataBy(searchKey: string): any;
    filterLocalDataByFields(searchKey: string, keys: string[]): any;
    filterLocalDataByMultipleFields(searchKey: string, keys?: string[]): any;
    searchLocalDataBy(searchKey: string): any;
    searchLocalDataByFields(searchKey: string, keys: string[]): any;
    searchLocalDataByMultipleFields(searchKey: string, keys?: string[]): any;
    searchDataObservable(searchKey: string): Observable<any>;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private makeSticky;
}
